> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get load balancer metrics

> Get load balancer metrics, including cpu, memory and network



## OpenAPI

````yaml /api-reference/services_docs_mintlify/cloud_api.yaml post /cloud/v1/loadbalancers/{project_id}/{region_id}/{load_balancer_id}/metrics
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 5ef57c94b74e
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
  - name: Container as a Service
  - name: Cost Reports
  - name: DDoS Protection
  - name: Everywhere Inference
  - name: Everywhere Inference Apps
  - name: File Shares
  - name: Floating IPs
  - name: Function as a Service
  - name: GPU Bare Metal
  - name: GPU Virtual
  - name: IP Ranges
  - name: Images
  - name: Instances
  - name: Load Balancers
  - name: Logging
  - name: Managed Kubernetes
  - name: Managed PostgreSQL
  - name: Networks
  - name: Placement Groups
  - name: Ports
  - name: Projects
  - name: Quotas
  - name: Regions
  - name: Registry
  - name: Reservations
  - name: Reserved IPs
  - name: Routers
  - name: SSH Keys
  - name: Secrets
  - name: Security Groups
  - name: Snapshot Schedules
  - name: Snapshots
  - name: Tasks
  - name: User Actions
  - name: User Role Assignments
  - name: Volumes
paths:
  /cloud/v1/loadbalancers/{project_id}/{region_id}/{load_balancer_id}/metrics:
    post:
      tags:
        - Load Balancers
      summary: Get load balancer metrics
      description: Get load balancer metrics, including cpu, memory and network
      operationId: LoadbalancerMetricsHandler.post
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 7
            examples:
              - 7
            title: Region Id
            type: integer
        - in: path
          name: load_balancer_id
          required: true
          description: Load-Balancer ID
          schema:
            description: Load-Balancer ID
            example: ac307687-31a4-4a11-a949-6bea1b2878f5
            examples:
              - ac307687-31a4-4a11-a949-6bea1b2878f5
            format: uuid4
            title: Load Balancer Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LoadbalancerMetricsRequestSerializer'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LoadbalancerMetricsCollectionSerializer'
components:
  schemas:
    LoadbalancerMetricsRequestSerializer:
      properties:
        time_interval:
          description: Time interval
          example: 6
          examples:
            - 6
          title: Time Interval
          type: integer
        time_unit:
          $ref: '#/components/schemas/InstanceMetricsTimeUnitEnum'
          description: Time interval unit
          examples:
            - hour
      required:
        - time_interval
        - time_unit
      title: LoadbalancerMetricsRequestSerializer
      type: object
    LoadbalancerMetricsCollectionSerializer:
      properties:
        count:
          description: Number of objects
          example: 1
          examples:
            - 1
          minimum: 0
          title: Count
          type: integer
        results:
          description: Objects
          items:
            $ref: '#/components/schemas/LoadbalancerMetricsSerializer'
          title: Results
          type: array
      required:
        - count
        - results
      title: LoadbalancerMetricsCollectionSerializer
      type: object
    InstanceMetricsTimeUnitEnum:
      enum:
        - day
        - hour
      title: InstanceMetricsTimeUnitEnum
      type: string
    LoadbalancerMetricsSerializer:
      properties:
        cpu_util:
          anyOf:
            - type: number
            - type: 'null'
          default: null
          description: CPU utilization, % (max 100% for multi-core)
          examples:
            - 8
          title: Cpu Util
        memory_util:
          anyOf:
            - type: number
            - type: 'null'
          default: null
          description: RAM utilization, %
          examples:
            - 33.28411162695459
          title: Memory Util
        network_Bps_egress:
          anyOf:
            - type: number
            - type: 'null'
          default: null
          description: Network out, bytes per second
          examples:
            - 102
          title: Network Bps Egress
        network_Bps_ingress:
          anyOf:
            - type: number
            - type: 'null'
          default: null
          description: Network in, bytes per second
          examples:
            - 102
          title: Network Bps Ingress
        network_pps_egress:
          anyOf:
            - type: number
            - type: 'null'
          default: null
          description: Network out, packets per second
          examples:
            - 0.7
          title: Network Pps Egress
        network_pps_ingress:
          anyOf:
            - type: number
            - type: 'null'
          default: null
          description: Network in, packets per second
          examples:
            - 0.7
          title: Network Pps Ingress
        time:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Timestamp
          examples:
            - '2020-07-07T12:57:00Z'
          title: Time
      title: LoadbalancerMetricsSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````